Inbox · Messages
Resolves a message attachment.
GET
https://api.pozy.ai/v1/inbox/conversations/{conversationId}/messages/{messageId}/attachments/{index}getMessageAttachment
Guide: Messages
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the messages resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
conversationIdrequired | string | |
messageIdrequired | string | |
indexrequired | integer | At least 0 |
Query parameters
| Name | Type | Notes |
|---|---|---|
accountIdrequired | string | |
format | string | One of redirect, jsonDefault redirect |
Example
curl -X GET "https://api.pozy.ai/v1/inbox/conversations/6e525f3820fc636aa96d2ee9/messages/62d191e7089bc48b8ea56b35/attachments/1?accountId=696e0b682d0a31188e7a2ba9" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/inbox/conversations/6e525f3820fc636aa96d2ee9/messages/62d191e7089bc48b8ea56b35/attachments/1?accountId=696e0b682d0a31188e7a2ba9", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/inbox/conversations/6e525f3820fc636aa96d2ee9/messages/62d191e7089bc48b8ea56b35/attachments/1",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
params={
"accountId": "696e0b682d0a31188e7a2ba9",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
statusstringurlstringrefreshedboolean
200 response
{
"status": "active",
"url": "https://pozy.ai/media/example-1.jpg",
"refreshed": true
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Messages
GETList conversationsPOSTCreate conversationGETSearch conversationsGETGet conversationPUTUpdate conversation statusDELDelete conversationGETList messagesPOSTSend messagePATCHEdit messageDELDelete messagePOSTSend typing indicatorPOSTChange who answers a conversation (handover)POSTAccept a message requestGETList the Page's conversation labelsPOSTCreate a conversation labelDELDelete a conversation labelGETList the labels on a conversationPOSTAdd a label to a conversationDELRemove a label from a conversationPOSTMark a conversation as readPOSTAdd reactionDELRemove reactionPOSTUpload media file